summaryrefslogtreecommitdiffstats
path: root/pg_config
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:02:19 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:02:19 +0000
commite308bcff5a610d6a3bbe33b3769f03f6d4533b16 (patch)
tree6a8ed4eb26cd55f3a24165bc1d9b9a1f0ab62e8c /pg_config
parentInitial commit. (diff)
downloadpostgresql-common-e308bcff5a610d6a3bbe33b3769f03f6d4533b16.tar.xz
postgresql-common-e308bcff5a610d6a3bbe33b3769f03f6d4533b16.zip
Adding upstream version 248.upstream/248upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'pg_config')
-rwxr-xr-xpg_config33
1 files changed, 33 insertions, 0 deletions
diff --git a/pg_config b/pg_config
new file mode 100755
index 0000000..efdcf6d
--- /dev/null
+++ b/pg_config
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# If postgresql-server-dev-* is installed, call pg_config from the latest
+# available one. Otherwise fall back to libpq-dev's version.
+#
+# (C) 2011 Martin Pitt <mpitt@debian.org>
+# (C) 2014-2018 Christoph Berg <myon@debian.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+set -e
+PGBINROOT="/usr/lib/postgresql/"
+#redhat# PGBINROOT="/usr/pgsql-"
+LATEST_SERVER_DEV=`ls -v $PGBINROOT*/bin/pg_config 2>/dev/null|tail -n1`
+
+if [ -n "$LATEST_SERVER_DEV" ]; then
+ exec "$LATEST_SERVER_DEV" "$@"
+else
+ if [ -x /usr/bin/pg_config.libpq-dev ]; then
+ exec /usr/bin/pg_config.libpq-dev "$@"
+ else
+ echo "You need to install postgresql-server-dev-NN for building a server-side extension or libpq-dev for building a client-side application." >&2
+ exit 1
+ fi
+fi